LibreOffice: XSheetCellRangeContainer Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XSheetCellRangeContainer Interface Referencepublished

provides methods to access cell ranges in a collection via index and to add and remove cell ranges. More...

`import <XSheetCellRangeContainer.idl;`

Inheritance diagram for XSheetCellRangeContainer:

## Public Member Functions
void | addRangeAddress ([in] com::sun::star::table::CellRangeAddress aCellRangeAddress, [in] boolean bMergeRanges)
| adds the given range to the collection of cell ranges.
void | removeRangeAddress ([in] com::sun::star::table::CellRangeAddress aCellRangeAddress) raises ( com::sun::star::container::NoSuchElementException )
| removes the given range from the collection of cell ranges.
void | addRangeAddresses ([in] sequence< com::sun::star::table::CellRangeAddress > aCellRangeAddresses, [in] boolean bMergeRanges)
| adds the given ranges to the collection of cell ranges.
void | removeRangeAddresses ([in] sequence< com::sun::star::table::CellRangeAddress > aCellRangeAddresses) raises ( com::sun::star::container::NoSuchElementException)
| removes the given ranges from the collection of cell ranges.
Public Member Functions inherited from XSheetCellRanges
com::sun::star::container::XEnumerationAccess | getCells ()
| returns the collection of all used cells.
string | getRangeAddressesAsString ()
| creates a string with addresses of all contained cell ranges.
sequence< com::sun::star::table::CellRangeAddress > | getRangeAddresses ()
| creates a sequence with addresses of all contained cell ranges.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides methods to access cell ranges in a collection via index and to add and remove cell ranges.

See also
  com::sun::star::sheet::SheetCellRanges

## Member Function Documentation

## ◆ addRangeAddress()

void addRangeAddress | ( | [in] com::sun::star::table::CellRangeAddress | aCellRangeAddress,
|  | [in] boolean | bMergeRanges )

adds the given range to the collection of cell ranges.

Parameters

  aCellRangeAddress | contains the address of the new range.
  bMergeRanges | defines how the range should be added. To merge the ranges takes more time, but the memory usage is lower.

## ◆ addRangeAddresses()

void addRangeAddresses | ( | [in] sequence< com::sun::star::table::CellRangeAddress > | aCellRangeAddresses,
|  | [in] boolean | bMergeRanges )

adds the given ranges to the collection of cell ranges.

Parameters

  aCellRangeAddresses | contains a sequence of addresses of all new ranges.
  bMergeRanges | defines how the ranges should be added. To merge the ranges takes more time, but the memory usage is lower.

## ◆ removeRangeAddress()

void removeRangeAddress | ( | [in] com::sun::star::table::CellRangeAddress | aCellRangeAddress | ) |
raises | ( | com::sun::star::container::NoSuchElementException ) |  |  |

removes the given range from the collection of cell ranges.

Parameters

  aCellRangeAddress | contains the address of the range to be removed.

The specified range must fit exactly to an element of the collection. The method does not try to shorten a range.

Exceptions

  com::sun::star::container::NoSuchElementException | if the collection does not contain the specified range.

## ◆ removeRangeAddresses()

void removeRangeAddresses | ( | [in] sequence< com::sun::star::table::CellRangeAddress > | aCellRangeAddresses | ) |
raises | ( | com::sun::star::container::NoSuchElementException ) |  |  |

removes the given ranges from the collection of cell ranges.

Parameters

  aCellRangeAddresses | contains a sequence of addresses of all ranges to be removed.

All specified ranges must fit exactly to elements of the collection. The method does not try to shorten ranges.

Exceptions

  com::sun::star::container::NoSuchElementException | if the collection does not contain any of the specified ranges.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetCellRangeContainer.idl